Bug 2174951 - KDE Power Management system closed unexpectedly (over and over and over)...
Summary: KDE Power Management system closed unexpectedly (over and over and over)...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: powerdevil
Version: 37
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-03-02 17:43 UTC by Gerald Cox
Modified: 2023-03-19 13:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-18 12:42:12 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 466181 0 NOR RESOLVED powerdevil crashes in KScreen::AbstractDpmsHelper::isSupported() 2023-03-03 14:12:29 UTC

Description Gerald Cox 2023-03-02 17:43:31 UTC
Description of problem:
This may be a co-incidence, but I just upgraded to powerdevil-5.27.2-1.fc37.x86_64
and now upon reboot in the system tray, I get endless system tray failures, saying:
KDE Power Management system closed unexpectedly. The tray icon disappears before I can do much of anything with it and then reappears.  This goes on apparently endlessly.  

If I go into system settings, power management, it displays the following:
Power Manager configuration module could not be loaded.  The Power Manager Service appears not to be running.

Version-Release number of selected component (if applicable):
powerdevil-5.27.2-1

How reproducible:
Install powerdevil-5.27.2-1 and it's dependencies

Then reboot

Actual results:
endless error messages and module not loaded


Expected results: Normal running


Additional info: I'm running this as a remote session using X and TigerVNC.  If I downgrade to the previous version of powerdevil, it works.  I do have this version of powerdevil running on a laptop using wayland with no issues.

Comment 1 Gerald Cox 2023-03-02 18:33:25 UTC
Here is what journalctl says:
Mar 02 10:30:09 charon systemd[4700]: Failed to start plasma-powerdevil.service - Powerdevil.
Mar 02 10:30:09 charon org_kde_powerdevil[43738]: org.kde.powerdevil: org.kde.powerdevil.discretegpuhelper.hasdualgpu failed
Mar 02 10:30:10 charon org_kde_powerdevil[43738]: org.kde.powerdevil: org.kde.powerdevil.chargethresholdhelper.getthreshold failed ""
Mar 02 10:30:10 charon org_kde_powerdevil[43738]: org.kde.powerdevil: org.kde.powerdevil.backlighthelper.brightness failed
Mar 02 10:30:10 charon abrt-notification[43776]: Process 5715 (org_kde_powerdevil) crashed in __gnu_debug::_Safe_sequence_base::_M_get_mutex()()
Mar 02 10:30:10 charon org_kde_powerdevil[43738]: org.kde.kscreen.dpms: DPMS extension not available
Mar 02 10:30:11 charon org_kde_powerdevil[43787]: org.kde.powerdevil: org.kde.powerdevil.discretegpuhelper.hasdualgpu failed
Mar 02 10:30:11 charon org_kde_powerdevil[43787]: org.kde.powerdevil: org.kde.powerdevil.chargethresholdhelper.getthreshold failed ""
Mar 02 10:30:11 charon org_kde_powerdevil[43787]: org.kde.powerdevil: org.kde.powerdevil.backlighthelper.brightness failed
Mar 02 10:30:11 charon org_kde_powerdevil[43787]: org.kde.kscreen.dpms: DPMS extension not available
                                                Module powerdevil_wirelesspowersavingaction.so with build-id b437053091ea21a0c34496dbc412099b1d2262f3
                                                Metadata for module powerdevil_wirelesspowersavingaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_suspendsessionaction.so with build-id 16883aa88152363c9d343dcc89a956e7dca8188a
                                                Metadata for module powerdevil_suspendsessionaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_runscriptaction.so with build-id a911f8471c82c4b82b8fbebeeb9af16bba76de29
                                                Metadata for module powerdevil_runscriptaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_powerprofileaction.so with build-id ef7e522623f553862ba54ce18890404bc8826994
                                                Metadata for module powerdevil_powerprofileaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_keyboardbrightnesscontrolaction.so with build-id 663d962570d23ce272fdc4e9b49aab6747ce50a5
                                                Metadata for module powerdevil_keyboardbrightnesscontrolaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_handlebuttoneventsaction.so with build-id 3604849cec4fce1872a0f1cf3506e20ba57f2d29
                                                Metadata for module powerdevil_handlebuttoneventsaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_dpmsaction.so with build-id c67bfd29c6929e262c16274a9f219750d940fc7c
                                                Metadata for module powerdevil_dpmsaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_dimdisplayaction.so with build-id 98e0d74a4457df9099662b1cab689f902e69ce1d
                                                Metadata for module powerdevil_dimdisplayaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_brightnesscontrolaction.so with build-id a9416f2909f8d6728a62db3c9b90c778408105ea
                                                Metadata for module powerdevil_brightnesscontrolaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevilupowerbackend.so with build-id a225a0db82bd7845de102f11a39ac7de00aa045b
                                                Metadata for module powerdevilupowerbackend.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module libpowerdevilcore.so.2 with build-id e5461cb42c6f23cff99e09cd0c7e4cf7702680af
                                                Metadata for module libpowerdevilcore.so.2 owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module org_kde_powerdevil with build-id 8f9cbf4f0a5da2fd84ecbd4ebca788f97d82f56a
                                                Metadata for module org_kde_powerdevil owned by FDO found: {
                                                        "name" : "powerdevil",
                                                #5  0x00007fa794d9036f _ZN10PowerDevil10ActionPool4initEPNS_4CoreE (libpowerdevilcore.so.2 + 0x1736f)
                                                #6  0x00007fa794d97ded _ZN10PowerDevil4Core14onBackendReadyEv (libpowerdevilcore.so.2 + 0x1eded)
                                                #8  0x00007fa7800a3afa _ZN23PowerDevilUPowerBackend18initWithBrightnessEb (powerdevilupowerbackend.so + 0x12afa)
                                                #10 0x00007fa78009af53 _ZN23PowerDevilUPowerBackend24brightnessSupportQueriedEb (powerdevilupowerbackend.so + 0x9f53)
                                                #28 0x0000560312582a45 main (org_kde_powerdevil + 0x7a45)
                                                #31 0x0000560312583525 _start (org_kde_powerdevil + 0x8525)
Mar 02 10:30:14 charon abrt-notification[43928]: Process 5715 (org_kde_powerdevil) crashed in __gnu_debug::_Safe_sequence_base::_M_get_mutex()()
Mar 02 10:30:15 charon systemd[4700]: plasma-powerdevil.service: start operation timed out. Terminating.
Mar 02 10:30:15 charon systemd[4700]: plasma-powerdevil.service: Failed with result 'timeout'.
Mar 02 10:30:15 charon systemd[4700]: Failed to start plasma-powerdevil.service - Powerdevil.
Mar 02 10:30:15 charon org_kde_powerdevil[43931]: org.kde.powerdevil: org.kde.powerdevil.discretegpuhelper.hasdualgpu failed
Mar 02 10:30:15 charon org_kde_powerdevil[43931]: org.kde.powerdevil: org.kde.powerdevil.chargethresholdhelper.getthreshold failed ""
Mar 02 10:30:15 charon org_kde_powerdevil[43931]: org.kde.powerdevil: org.kde.powerdevil.backlighthelper.brightness failed
Mar 02 10:30:15 charon org_kde_powerdevil[43931]: org.kde.kscreen.dpms: DPMS extension not available
Mar 02 10:30:16 charon org_kde_powerdevil[43973]: org.kde.powerdevil: org.kde.powerdevil.discretegpuhelper.hasdualgpu failed
Mar 02 10:30:16 charon org_kde_powerdevil[43973]: org.kde.powerdevil: org.kde.powerdevil.chargethresholdhelper.getthreshold failed ""
Mar 02 10:30:16 charon org_kde_powerdevil[43973]: org.kde.powerdevil: org.kde.powerdevil.backlighthelper.brightness failed
Mar 02 10:30:17 charon org_kde_powerdevil[43973]: org.kde.kscreen.dpms: DPMS extension not available
                                                Module powerdevil_wirelesspowersavingaction.so with build-id b437053091ea21a0c34496dbc412099b1d2262f3
                                                Metadata for module powerdevil_wirelesspowersavingaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_suspendsessionaction.so with build-id 16883aa88152363c9d343dcc89a956e7dca8188a
                                                Metadata for module powerdevil_suspendsessionaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_runscriptaction.so with build-id a911f8471c82c4b82b8fbebeeb9af16bba76de29
                                                Metadata for module powerdevil_runscriptaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_powerprofileaction.so with build-id ef7e522623f553862ba54ce18890404bc8826994
                                                Metadata for module powerdevil_powerprofileaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_keyboardbrightnesscontrolaction.so with build-id 663d962570d23ce272fdc4e9b49aab6747ce50a5
                                                Metadata for module powerdevil_keyboardbrightnesscontrolaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_handlebuttoneventsaction.so with build-id 3604849cec4fce1872a0f1cf3506e20ba57f2d29
                                                Metadata for module powerdevil_handlebuttoneventsaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_dpmsaction.so with build-id c67bfd29c6929e262c16274a9f219750d940fc7c
                                                Metadata for module powerdevil_dpmsaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_dimdisplayaction.so with build-id 98e0d74a4457df9099662b1cab689f902e69ce1d
                                                Metadata for module powerdevil_dimdisplayaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_brightnesscontrolaction.so with build-id a9416f2909f8d6728a62db3c9b90c778408105ea
                                                Metadata for module powerdevil_brightnesscontrolaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevilupowerbackend.so with build-id a225a0db82bd7845de102f11a39ac7de00aa045b
                                                Metadata for module powerdevilupowerbackend.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module libpowerdevilcore.so.2 with build-id e5461cb42c6f23cff99e09cd0c7e4cf7702680af
                                                Metadata for module libpowerdevilcore.so.2 owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module org_kde_powerdevil with build-id 8f9cbf4f0a5da2fd84ecbd4ebca788f97d82f56a
                                                Metadata for module org_kde_powerdevil owned by FDO found: {
                                                        "name" : "powerdevil",
                                                #5  0x00007ff09854836f _ZN10PowerDevil10ActionPool4initEPNS_4CoreE (libpowerdevilcore.so.2 + 0x1736f)
                                                #6  0x00007ff09854fded _ZN10PowerDevil4Core14onBackendReadyEv (libpowerdevilcore.so.2 + 0x1eded)
                                                #8  0x00007ff08405bafa _ZN23PowerDevilUPowerBackend18initWithBrightnessEb (powerdevilupowerbackend.so + 0x12afa)
                                                #10 0x00007ff084052f53 _ZN23PowerDevilUPowerBackend24brightnessSupportQueriedEb (powerdevilupowerbackend.so + 0x9f53)
                                                #28 0x0000561d98ed9a45 main (org_kde_powerdevil + 0x7a45)
                                                #31 0x0000561d98eda525 _start (org_kde_powerdevil + 0x8525)
Mar 02 10:30:20 charon abrt-notification[44113]: Process 5715 (org_kde_powerdevil) crashed in __gnu_debug::_Safe_sequence_base::_M_get_mutex()()
Mar 02 10:30:20 charon systemd[4700]: plasma-powerdevil.service: start operation timed out. Terminating.
Mar 02 10:30:20 charon systemd[4700]: plasma-powerdevil.service: Failed with result 'timeout'.
Mar 02 10:30:20 charon systemd[4700]: Failed to start plasma-powerdevil.service - Powerdevil.
Mar 02 10:30:20 charon org_kde_powerdevil[44119]: org.kde.powerdevil: org.kde.powerdevil.discretegpuhelper.hasdualgpu failed
Mar 02 10:30:20 charon org_kde_powerdevil[44119]: org.kde.powerdevil: org.kde.powerdevil.chargethresholdhelper.getthreshold failed ""
Mar 02 10:30:21 charon org_kde_powerdevil[44119]: org.kde.powerdevil: org.kde.powerdevil.backlighthelper.brightness failed
Mar 02 10:30:21 charon org_kde_powerdevil[44119]: org.kde.kscreen.dpms: DPMS extension not available
Mar 02 10:30:22 charon org_kde_powerdevil[44161]: org.kde.powerdevil: org.kde.powerdevil.discretegpuhelper.hasdualgpu failed
Mar 02 10:30:22 charon org_kde_powerdevil[44161]: org.kde.powerdevil: org.kde.powerdevil.chargethresholdhelper.getthreshold failed ""
Mar 02 10:30:22 charon org_kde_powerdevil[44161]: org.kde.powerdevil: org.kde.powerdevil.backlighthelper.brightness failed
Mar 02 10:30:22 charon org_kde_powerdevil[44161]: org.kde.kscreen.dpms: DPMS extension not available
                                                Module powerdevil_wirelesspowersavingaction.so with build-id b437053091ea21a0c34496dbc412099b1d2262f3
                                                Metadata for module powerdevil_wirelesspowersavingaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_suspendsessionaction.so with build-id 16883aa88152363c9d343dcc89a956e7dca8188a
                                                Metadata for module powerdevil_suspendsessionaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_runscriptaction.so with build-id a911f8471c82c4b82b8fbebeeb9af16bba76de29
                                                Metadata for module powerdevil_runscriptaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_powerprofileaction.so with build-id ef7e522623f553862ba54ce18890404bc8826994
                                                Metadata for module powerdevil_powerprofileaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_keyboardbrightnesscontrolaction.so with build-id 663d962570d23ce272fdc4e9b49aab6747ce50a5
                                                Metadata for module powerdevil_keyboardbrightnesscontrolaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_handlebuttoneventsaction.so with build-id 3604849cec4fce1872a0f1cf3506e20ba57f2d29
                                                Metadata for module powerdevil_handlebuttoneventsaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_dpmsaction.so with build-id c67bfd29c6929e262c16274a9f219750d940fc7c
                                                Metadata for module powerdevil_dpmsaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_dimdisplayaction.so with build-id 98e0d74a4457df9099662b1cab689f902e69ce1d
                                                Metadata for module powerdevil_dimdisplayaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevil_brightnesscontrolaction.so with build-id a9416f2909f8d6728a62db3c9b90c778408105ea
                                                Metadata for module powerdevil_brightnesscontrolaction.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module powerdevilupowerbackend.so with build-id a225a0db82bd7845de102f11a39ac7de00aa045b
                                                Metadata for module powerdevilupowerbackend.so owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module libpowerdevilcore.so.2 with build-id e5461cb42c6f23cff99e09cd0c7e4cf7702680af
                                                Metadata for module libpowerdevilcore.so.2 owned by FDO found: {
                                                        "name" : "powerdevil",
                                                Module org_kde_powerdevil with build-id 8f9cbf4f0a5da2fd84ecbd4ebca788f97d82f56a
                                                Metadata for module org_kde_powerdevil owned by FDO found: {
                                                        "name" : "powerdevil",
                                                #5  0x00007fdebe0a036f _ZN10PowerDevil10ActionPool4initEPNS_4CoreE (libpowerdevilcore.so.2 + 0x1736f)
                                                #6  0x00007fdebe0a7ded _ZN10PowerDevil4Core14onBackendReadyEv (libpowerdevilcore.so.2 + 0x1eded)
                                                #8  0x00007fdea81ebafa _ZN23PowerDevilUPowerBackend18initWithBrightnessEb (powerdevilupowerbackend.so + 0x12afa)
                                                #10 0x00007fdea81e2f53 _ZN23PowerDevilUPowerBackend24brightnessSupportQueriedEb (powerdevilupowerbackend.so + 0x9f53)
                                                #28 0x00005650bed32a45 main (org_kde_powerdevil + 0x7a45)
                                                #31 0x00005650bed33525 _start (org_kde_powerdevil + 0x8525)
Mar 02 10:30:25 charon abrt-notification[44301]: Process 5715 (org_kde_powerdevil) crashed in __gnu_debug::_Safe_sequence_base::_M_get_mutex()()
Mar 02 10:30:26 charon systemd[4700]: plasma-powerdevil.service: start operation timed out. Terminating.
Mar 02 10:30:26 charon systemd[4700]: plasma-powerdevil.service: Failed with result 'timeout'.


Note You need to log in before you can comment on or make changes to this bug.